package scott.app.replace.ui

import androidx.compose.ui.graphics.*

val blackColor = Color(0x000000)
val whiteColor = Color(0xFFFFFF)

val red50 = Color(0xFFEBEE)
val red100 = Color(0xFFCDD2)
val red200 = Color(0xEF9A9A)
val red300 = Color(0xE57373)
val red400 = Color(0xEF5350)
val red500 = Color(0xF44336)
val red600 = Color(0xE53935)
val red700 = Color(0xD32F2F)
val red800 = Color(0xC62828)
val red900 = Color(0xB71C1C)
val redA100 = Color(0xFF8A80)
val redA200 = Color(0xFF5252)
val redA400 = Color(0xFF1744)
val redA700 = Color(0xD50000)

val pink50 = Color(0xFCE4EC)
val pink100 = Color(0xF8BBD0)
val pink200 = Color(0xF48FB1)
val pink300 = Color(0xF06292)
val pink400 = Color(0xEC407A)
val pink500 = Color(0xE91E63)
val pink600 = Color(0xD81B60)
val pink700 = Color(0xC2185B)
val pink800 = Color(0xAD1457)
val pink900 = Color(0x880E4F)
val pinkA100 = Color(0xFF80AB)
val pinkA200 = Color(0xFF4081)
val pinkA400 = Color(0xF50057)
val pinkA700 = Color(0xC51162)

val purple50 = Color(0xF3E5F5)
val purple100 = Color(0xE1BEE7)
val purple200 = Color(0xCE93D8)
val purple300 = Color(0xBA68C8)
val purple400 = Color(0xAB47BC)
val purple500 = Color(0x9C27B0)
val purple600 = Color(0x8E24AA)
val purple700 = Color(0x7B1FA2)
val purple800 = Color(0x6A1B9A)
val purple900 = Color(0x4A148C)
val purpleA100 = Color(0xEA80FC)
val purpleA200 = Color(0xE040FB)
val purpleA400 = Color(0xD500F9)
val purpleA700 = Color(0xAA00FF)

val deepPurple50 = Color(0xEDE7F6)
val deepPurple100 = Color(0xD1C4E9)
val deepPurple200 = Color(0xB39DDB)
val deepPurple300 = Color(0x9575CD)
val deepPurple400 = Color(0x7E57C2)
val deepPurple500 = Color(0x673AB7)
val deepPurple600 = Color(0x5E35B1)
val deepPurple700 = Color(0x512DA8)
val deepPurple800 = Color(0x4527A0)
val deepPurple900 = Color(0x311B92)
val deepPurpleA100 = Color(0xB388FF)
val deepPurpleA200 = Color(0x7C4DFF)
val deepPurpleA400 = Color(0x651FFF)
val deepPurpleA700 = Color(0x6200EA)

val indigo50 = Color(0xE8EAF6)
val indigo100 = Color(0xC5CAE9)
val indigo200 = Color(0x9FA8DA)
val indigo300 = Color(0x7986CB)
val indigo400 = Color(0x5C6BC0)
val indigo500 = Color(0x3F51B5)
val indigo600 = Color(0x3949AB)
val indigo700 = Color(0x303F9F)
val indigo800 = Color(0x283593)
val indigo900 = Color(0x1A237E)
val indigoA100 = Color(0x8C9EFF)
val indigoA200 = Color(0x536DFE)
val indigoA400 = Color(0x3D5AFE)
val indigoA700 = Color(0x304FFE)

val blue50 = Color(0xE3F2FD)
val blue100 = Color(0xBBDEFB)
val blue200 = Color(0x90CAF9)
val blue300 = Color(0x64B5F6)
val blue400 = Color(0x42A5F5)
val blue500 = Color(0x2196F3)
val blue600 = Color(0x1E88E5)
val blue700 = Color(0x1976D2)
val blue800 = Color(0x1565C0)
val blue900 = Color(0x0D47A1)
val blueA100 = Color(0x82B1FF)
val blueA200 = Color(0x448AFF)
val blueA400 = Color(0x2979FF)
val blueA700 = Color(0x2962FF)

val lightBlue50 = Color(0xE1F5FE)
val lightBlue100 = Color(0xB3E5FC)
val lightBlue200 = Color(0x81D4FA)
val lightBlue300 = Color(0x4FC3F7)
val lightBlue400 = Color(0x29B6F6)
val lightBlue500 = Color(0x03A9F4)
val lightBlue600 = Color(0x039BE5)
val lightBlue700 = Color(0x0288D1)
val lightBlue800 = Color(0x0277BD)
val lightBlue900 = Color(0x01579B)
val lightBlueA100 = Color(0x80D8FF)
val lightBlueA200 = Color(0x40C4FF)
val lightBlueA400 = Color(0x00B0FF)
val lightBlueA700 = Color(0x0091EA)

val cyan50 = Color(0xE0F7FA)
val cyan100 = Color(0xB2EBF2)
val cyan200 = Color(0x80DEEA)
val cyan300 = Color(0x4DD0E1)
val cyan400 = Color(0x26C6DA)
val cyan500 = Color(0x00BCD4)
val cyan600 = Color(0x00ACC1)
val cyan700 = Color(0x0097A7)
val cyan800 = Color(0x00838F)
val cyan900 = Color(0x006064)
val cyanA100 = Color(0x84FFFF)
val cyanA200 = Color(0x18FFFF)
val cyanA400 = Color(0x00E5FF)
val cyanA700 = Color(0x00B8D4)

val teal50 = Color(0xE0F2F1)
val teal100 = Color(0xB2DFDB)
val teal200 = Color(0x80CBC4)
val teal300 = Color(0x4DB6AC)
val teal400 = Color(0x26A69A)
val teal500 = Color(0x009688)
val teal600 = Color(0x00897B)
val teal700 = Color(0x00796B)
val teal800 = Color(0x00695C)
val teal900 = Color(0x004D40)
val tealA100 = Color(0xA7FFEB)
val tealA200 = Color(0x64FFDA)
val tealA400 = Color(0x1DE9B6)
val tealA700 = Color(0x00BFA5)

val green50 = Color(0xE8F5E9)
val green100 = Color(0xC8E6C9)
val green200 = Color(0xA5D6A7)
val green300 = Color(0x81C784)
val green400 = Color(0x66BB6A)
val green500 = Color(0x4CAF50)
val green600 = Color(0x43A047)
val green700 = Color(0x388E3C)
val green800 = Color(0x2E7D32)
val green900 = Color(0x1B5E20)
val greenA100 = Color(0xB9F6CA)
val greenA200 = Color(0x69F0AE)
val greenA400 = Color(0x00E676)
val greenA700 = Color(0x00C853)

val lightGreen50 = Color(0xF1F8E9)
val lightGreen100 = Color(0xDCEDC8)
val lightGreen200 = Color(0xC5E1A5)
val lightGreen300 = Color(0xAED581)
val lightGreen400 = Color(0x9CCC65)
val lightGreen500 = Color(0x8BC34A)
val lightGreen600 = Color(0x7CB342)
val lightGreen700 = Color(0x689F38)
val lightGreen800 = Color(0x558B2F)
val lightGreen900 = Color(0x33691E)
val lightGreenA100 = Color(0xCCFF90)
val lightGreenA200 = Color(0xB2FF59)
val lightGreenA400 = Color(0x76FF03)
val lightGreenA700 = Color(0x64DD17)

val lime50 = Color(0xF9FBE7)
val lime100 = Color(0xF0F4C3)
val lime200 = Color(0xE6EE9C)
val lime300 = Color(0xDCE775)
val lime400 = Color(0xD4E157)
val lime500 = Color(0xCDDC39)
val lime600 = Color(0xC0CA33)
val lime700 = Color(0xAFB42B)
val lime800 = Color(0x9E9D24)
val lime900 = Color(0x827717)
val limeA100 = Color(0xF4FF81)
val limeA200 = Color(0xEEFF41)
val limeA400 = Color(0xC6FF00)
val limeA700 = Color(0xAEEA00)

val yellow50 = Color(0xFFFDE7)
val yellow100 = Color(0xFFF9C4)
val yellow200 = Color(0xFFF59D)
val yellow300 = Color(0xFFF176)
val yellow400 = Color(0xFFEE58)
val yellow500 = Color(0xFFEB3B)
val yellow600 = Color(0xFDD835)
val yellow700 = Color(0xFBC02D)
val yellow800 = Color(0xF9A825)
val yellow900 = Color(0xF57F17)
val yellowA100 = Color(0xFFFF8D)
val yellowA200 = Color(0xFFFF00)
val yellowA400 = Color(0xFFEA00)
val yellowA700 = Color(0xFFD600)

val amber50 = Color(0xFFF8E1)
val amber100 = Color(0xFFECB3)
val amber200 = Color(0xFFE082)
val amber300 = Color(0xFFD54F)
val amber400 = Color(0xFFCA28)
val amber500 = Color(0xFFC107)
val amber600 = Color(0xFFB300)
val amber700 = Color(0xFFA000)
val amber800 = Color(0xFF8F00)
val amber900 = Color(0xFF6F00)
val amberA100 = Color(0xFFE57F)
val amberA200 = Color(0xFFD740)
val amberA400 = Color(0xFFC400)
val amberA700 = Color(0xFFAB00)

val orange50 = Color(0xFFF3E0)
val orange100 = Color(0xFFE0B2)
val orange200 = Color(0xFFCC80)
val orange300 = Color(0xFFB74D)
val orange400 = Color(0xFFA726)
val orange500 = Color(0xFF9800)
val orange600 = Color(0xFB8C00)
val orange700 = Color(0xF57C00)
val orange800 = Color(0xEF6C00)
val orange900 = Color(0xE65100)
val orangeA100 = Color(0xFFD180)
val orangeA200 = Color(0xFFAB40)
val orangeA400 = Color(0xFF9100)
val orangeA700 = Color(0xFF6D00)

val deepOrange50 = Color(0xFBE9E7)
val deepOrange100 = Color(0xFFCCBC)
val deepOrange200 = Color(0xFFAB91)
val deepOrange300 = Color(0xFF8A65)
val deepOrange400 = Color(0xFF7043)
val deepOrange500 = Color(0xFF5722)
val deepOrange600 = Color(0xF4511E)
val deepOrange700 = Color(0xE64A19)
val deepOrange800 = Color(0xD84315)
val deepOrange900 = Color(0xBF360C)
val deepOrangeA100 = Color(0xFF9E80)
val deepOrangeA200 = Color(0xFF6E40)
val deepOrangeA400 = Color(0xFF3D00)
val deepOrangeA700 = Color(0xDD2C00)

val brown50 = Color(0xEFEBE9)
val brown100 = Color(0xD7CCC8)
val brown200 = Color(0xBCAAA4)
val brown300 = Color(0xA1887F)
val brown400 = Color(0x8D6E63)
val brown500 = Color(0x795548)
val brown600 = Color(0x6D4C41)
val brown700 = Color(0x5D4037)
val brown800 = Color(0x4E342E)
val brown900 = Color(0x3E2723)

val gray50 = Color(0xFAFAFA)
val gray100 = Color(0xF5F5F5)
val gray200 = Color(0xEEEEEE)
val gray300 = Color(0xE0E0E0)
val gray400 = Color(0xBDBDBD)
val gray500 = Color(0x9E9E9E)
val gray600 = Color(0x757575)
val gray700 = Color(0x616161)
val gray800 = Color(0x424242)
val gray900 = Color(0x212121)

val blueGray50 = Color(0xECEFF1)
val blueGray100 = Color(0xCFD8DC)
val blueGray200 = Color(0xB0BEC5)
val blueGray300 = Color(0x90A4AE)
val blueGray400 = Color(0x78909C)
val blueGray500 = Color(0x607D8B)
val blueGray600 = Color(0x546E7A)
val blueGray700 = Color(0x455A64)
val blueGray800 = Color(0x37474F)
val blueGray900 = Color(0x263238)
